#include<cstdio>
using namespace std;
int n,k,x;

void Subtask1() {
    if (n==3) printf("1 %d %d\n", 1+x, 1+x+x);
    else {
        printf("1 1 1 %d ", 1+x);
        for (int i=5;i<=n;i++) printf("2 ");
        printf("\n");
    }
}

int main() {
    scanf("%d %d %d", &n, &k, &x);

    if (k==3) Subtask1();

    return 0;
}